#include "StdAfx.h"
#include "ManagerInterfaceManager.h"

CManagerInterfaceManager::CManagerInterfaceManager(void)
{
}

CManagerInterfaceManager::~CManagerInterfaceManager(void)
{
}

//////////////////////////////////////////////////////////////////////////////////////////////
//	初期化・終了
//////////////////////////////////////////////////////////////////////////////////////////////
/*!
	開始
*/
void CManagerInterfaceManager::Start(IServerToolIIPtr serverTool)
{
	//	ラッパを初期化
	m_serverToolWrap.Start(serverTool->GetIServerTool());

	//	MIServerToolの登録
	m_interfaceMapper.RegisterInterface("MIServerTool", m_serverToolWrap.GetIManagedInterfaceImplement(), TRUE);
}

/*!
	停止
*/
void CManagerInterfaceManager::Stop()
{
	//	サーバツール停止
	m_interfaceMapper.UnRegisterInterface("MIServerTool", m_serverToolWrap.GetIManagedInterfaceImplement());
}
